import { default as RruOptionsPropType } from '../../types/RruOptionsPropType';
export default interface RruMultiCheckboxInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    requiredAsterisk?: boolean;
    /**  */
    options: RruOptionsPropType;
    /** Display all checkboxes in the same line */
    inline?: boolean;
    /**
     *
     */
    onChange?: (value: string[]) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
}
