import { default as RruDateTimeInputCalendarType } from './RruDateTimeInputCalendarType';
import { default as RruDateTimeInputDateConfig } from './RruDateTimeInputDateConfig';
import { default as RruDateTimeInputMode } from './RruDateTimeInputMode';
export default interface RruDateTimeInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    requiredAsterisk?: boolean;
    /** */
    mode?: RruDateTimeInputMode;
    /**  */
    calendarType?: RruDateTimeInputCalendarType;
    /**  */
    getDateConfig?: (date: string) => RruDateTimeInputDateConfig | undefined | null | void;
    /**
     *
     */
    onChange?: (value: string | null) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
}
