export default interface RruFileInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    chooseFileLabel?: string;
    /**  */
    requiredAsterisk?: boolean;
    /**
     *
     */
    onChange?: (value: File | null) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
    /**
     * Comma-separated list of one or more file types, or unique file type specifiers, describing which file types to allow.
     * More info at [MDN Web Docs](https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/accept)
     */
    accept?: string;
}
