import { default as RruOptionsPropType } from '../../types/RruOptionsPropType';
export default interface RruRadioInputProps {
    /**  */
    name: string;
    /**  */
    label?: React.ReactNode;
    /**  */
    requiredAsterisk?: boolean;
    /**  */
    options: RruOptionsPropType;
    /** Display all radio buttons in the same line */
    inline?: boolean;
    /**
     *
     */
    onChange?: (value: string | null) => void;
    /**
     * Controls whether the input field is disabled or not
     */
    disabled?: boolean;
}
