/**
 * @param name field name
 * @param onProgrammaticValue Should check if the provided serialized value does not
 * match the current deserialized value before updating the formContext, otherwise you would end up in an infinite re-render
 */
export declare const useField: (name: string, onProgrammaticValue?: (serializedValue: any) => void) => {
    register: (onRegister: (initialValue: any) => void) => void;
    unregister: () => void;
    setValue: (value: any) => void;
    error: any;
    onBlur: () => void;
};
