import { CSSProperties, ReactNode } from 'react';
interface RruModalButtonProps {
    name?: string;
    disabled?: boolean;
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    /**
     * The modal title.
     */
    modalTitle?: React.ReactNode;
    /**
     * The modal body.
     */
    modalBody?: React.ReactNode | ((closeModal: () => void) => React.ReactNode);
}
export default RruModalButtonProps;
